package com.jwipc.tender.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jwipc.tender.entity.TenderBid;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jwipc.tender.model.po.TenderBidListPO;
import com.jwipc.tender.model.query.BidQuery;

import java.util.List;

/**
 * <p>
 * 招标单 服务类
 * </p>
 *
 * @author shenyang.ou
 * @since 2024-02-29
 */
public interface ITenderBidService extends IService<TenderBid> {

    List<TenderBidListPO> findConfirmJoinList(Page<TenderBidListPO> page, BidQuery query);

    List<TenderBidListPO> findSecurityDepositList(Page<TenderBidListPO> page, BidQuery query);

    List<TenderBidListPO> findToBeQuotedList(Page<TenderBidListPO> page, BidQuery query);

    List<TenderBidListPO> getHistoryList(Page<TenderBidListPO> page, BidQuery query);

    void updateConState(Long bidDetailId, Integer state);
}
